%define anolis_release 3
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Math::BigInt\\)\\s*$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Carp\\)\\s*$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(.::t/.*.inc\\)
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigFloat::Subclass\\)
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigInt::(BareCalc\|Scalar\|Subclass)\\)
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigInt::Lib::(Minimal\|TestUtil)\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

%global cpan_version 1.999837

Name:           perl-Math-BigInt
Epoch:          1
Version:        %(echo %{cpan_version} | sed 's/\(\.....\)/\1./')
Release:        %{anolis_release}%{?dist}
Summary:        Arbitrary-size integer and float precision mathematics
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Math-BigInt
Source0:        https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/Math-BigInt-%{cpan_version}.tar.gz
BuildRequires:  coreutils make sed
BuildRequires:  perl-generators perl-interpreter perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
BuildRequires:  perl(warnings) perl(Carp) >= 1.22 perl(constant)
BuildRequires:  perl(Exporter) perl(integer) perl(Math::Complex) >= 1.39
BuildRequires:  perl(overload) perl(Scalar::Util) perl(base)
BuildRequires:  perl(lib) perl(Test::More) >= 0.94
Requires:       perl(Carp) >= 1.22 perl(Math::Complex) >= 1.39
%if !%{defined perl_bootstrap}
Requires:       perl(Math::BigRat)
%endif
Conflicts:      perl < 4:5.22.0-347

BuildArch:      noarch

%description
Math::BigInt and Math::BigFloat are modules for arbitrary precision arithmetic.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{EVR}
Requires:       perl-Test-Harness

%description tests
Tests from %{name}. Execute them with "%{_libexecdir}/%{name}/test".

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Math-BigInt-%{cpan_version}

for F in t/*.t t/alias.inc `find t -name *.pm`; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
rm %{buildroot}%{_libexecdir}/%{name}/t/00sig.t
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
unset TEST_SIGNATURE
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files tests
%{_libexecdir}/%{name}

%files doc
%doc BUGS CHANGES CREDITS examples GOALS HISTORY README TODO

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1:1.9998.37-3
- optimize spec

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.9998.37-2
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.9998.37-1
- update to 1.9998.37

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 1:1.9998.30-1
- Initial build for Anolis V23
